From 7ef7011be21bcc772182e37858a55b975b77d175 Mon Sep 17 00:00:00 2001
From: Daniel Lewan <vision360.daniel@gmail.com>
Date: Sun, 23 Jun 2019 09:36:03 +0200
Subject: [PATCH] just: update to 0.4.4.

---
 srcpkgs/just/template | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

diff --git a/srcpkgs/just/template b/srcpkgs/just/template
index 348b5df4707..8044a95f08a 100644
--- a/srcpkgs/just/template
+++ b/srcpkgs/just/template
@@ -1,6 +1,6 @@
 # Template file for 'just'
 pkgname=just
-version=0.4.2
+version=0.4.4
 revision=1
 build_style=cargo
 short_desc="Just a command runner"
@@ -9,12 +9,11 @@ license="CC0-1.0"
 homepage="https://github.com/casey/just"
 changelog="https://raw.githubusercontent.com/casey/just/master/CHANGELOG.md"
 distfiles="https://github.com/casey/just/archive/v${version}.tar.gz"
-checksum=7bcde022994eaa06ce17974f494e4cf98a1d00f4e5791c6ae61f8dd45685da25
+checksum=131955a54ff1622349382288ba20db64b01acff802a42b719dd7ebcb2e9c8983
 
-case "$XBPS_TARGET_MACHINE" in
-	aarch64-musl) broken="https://travis-ci.org/void-linux/void-packages/jobs/451525539
-	    https://github.com/nix-rust/nix/issues/951" ;;
-esac
+pre_build() {
+	cargo update --package nix --precise 0.13.1
+}
 
 post_install() {
 	vlicense LICENSE
